package executor

import (
	"context"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/scheduler/schedulers/option"
)

const (
	SUBMIT_MODE_JOINT_CLOUD = iota + 1
	SUBMIT_MODE_STORAGE_SCHEDULE
)

type AiExecutor interface {
	Execute(ctx context.Context, option *option.AiOption, mode int) (interface{}, error)
	Stop(ctx context.Context, id string) error
}
